Skip to content

Lists processes the caller may view or administer; access, filters and ordering apply before pagination.

GET
/api/workspace/workflow/runtime/instances
curl --request GET \
--url 'https://example.com/api/workspace/workflow/runtime/instances?Sort=0' \
--header 'Authorization: Bearer <token>'
Search
string
DefinitionId
string
Statuses
Array<integer>
Allowed values: 0 1 2 3 4
StartedFromUtc
string format: date-time
StartedToUtc
string format: date-time
AwaitingUserInput
boolean
RequiresMyAction
boolean
Page
integer format: int32
PageSize
integer format: int32
Sort
integer format: int32
Allowed values: 0 1 2 3 4
Descending
boolean
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

OK

Media typeapplication/json
object
Data
object
Items
Array<object>
nullable
object
Id
string
nullable
Number
string
nullable
DefinitionId
string
nullable
DefinitionName
string
nullable
RevisionId
string
nullable
RevisionNumber
integer format: int32
Status
integer format: int32
Allowed values: 0 1 2 3 4
OutcomeId
string
nullable
OutcomeName
string
nullable
StartedAtUtc
string format: date-time
CompletedAtUtc
string format: date-time
nullable
RowVersion
string format: uuid
TechnicalOnly
boolean
Subject

Stable identity of one Moltaro resource instance.

object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
SubjectLabel
string
nullable
ActiveNodes
Array<object>
nullable
object
Id
string
nullable
NodeKey
string
nullable
NodeKind
string
nullable
Status
integer format: int32
Allowed values: 0 1 2 3 4
WaitKind
integer format: int32
Allowed values: 0 1 2 3
TimerDueAtUtc
string format: date-time
nullable
Title
string
nullable
CanRespond
boolean
ErrorCode
string
nullable
Actions
object
CanCancel
boolean
CanRetry
boolean
CanSuspend
boolean
CanResume
boolean
PreSuspendStatus
integer format: int32
Allowed values: 0 1 2 3 4
TotalCount
integer format: int32
Page
integer format: int32
PageSize
integer format: int32
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Items": [
{
"Status": 0,
"ActiveNodes": [
{
"Status": 0,
"WaitKind": 0
}
],
"PreSuspendStatus": 0
}
]
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}